### Function

# ECal util_component_get_recurid_as_string

since: 3.34

#### Declaration [src]

    gchar*
    e_cal_util_component_get_recurid_as_string (
      ICalComponent* icalcomp
    )

#### Description

No description available.

Available since: 3.34

#### Parameters

`icalcomp`

  Type: `None`

  An `ICalComponent`.

  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

A RECURRENCEID property as string, or `NULL`, when the `icalcomp` is not an instance. Free the returned string with g_free(), when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.